

var defaultStyle="";
var firstStyle=document.getElementById("first-style");
var themeSelector=document.getElementById("theme-selector");
function setStyle(){
	if(themeSelector.value=="dark.css")
		firstStyle.href="/common/css/dark.css";
	else
		firstStyle.href=defaultStyle;
}
function initStyle(){
	firstStyle=document.getElementById("first-style");
	if(firstStyle==null){
		if(document.readyState!="complete")
			setTimeout(initStyle,1);
		return;
	}
	defaultStyle=firstStyle.href;
	if(document.cookie.includes("theme=dark.css"))
		firstStyle.href="/common/css/dark.css";
}
function initThemeSelector(){
	themeSelector=document.getElementById("theme-selector");
	if(themeSelector==null){
		if(document.readyState!="complete")
			setTimeout(initThemeSelector,100);
		return;
	}
	themeSelector.addEventListener("change",setStyle);
}

initStyle();
initThemeSelector();


